View Issue Details

IDProjectCategoryView StatusLast Update
0002882SOGoWeb Calendarpublic2014-08-27 17:04
Reporterromeyn Assigned Toacloutier 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version2.2.8 
Summary0002882: Print List view in Color
Description

When printing multiple calendars in List View, provide option to print the text from a calendar in the same color set for that calendar.

TagsNo tags attached.

Activities

Christian Mack

Christian Mack

2014-08-06 07:56

developer   ~0007396

Printing the text itself in colours could be unreadable (think of yellow on white paper).

Because of this I would change this request to change the border of an event to the colour of its calendar.

Just my 2 cent.

romeyn

romeyn

2014-08-06 09:07

reporter   ~0007399

I had thought of that too. Could both be options?

Print In Color:
[ ] Event Border
[ ] Event Text

acloutier

acloutier

2014-08-15 14:16

viewer   ~0007415

It is already possible to print you calendars with the associated events colors. By default browsers strip down the CSS to save you ink but you can deactivate this option on the browser print menu.

Look for the option "background colors and images" on the print menu of your browser.

Please let me know if this solution solves the issue.

thank you

romeyn

romeyn

2014-08-15 15:01

reporter   ~0007416

acloutier:

That worked for "Week View". But List is still black and white no matter what.

acloutier

acloutier

2014-08-26 14:06

viewer   ~0007430

Last edited: 2014-08-26 14:07

View 2 revisions

I made some modifications on the feature, please test the next nightly build.

  • I added the options to print the events/tasks in colours; either the borders or the backgrounds
  • No longer need to ask the browser to display the colours
  • The list view is now available in colours

https://github.com/inverse-inc/sogo/commit/38a3b7bb4f29aa676c7af0dccde3d87973b1007e

romeyn

romeyn

2014-08-27 11:30

reporter   ~0007433

Thanks. I have tasked our techs with applying the nightly build and will reply back as soon as I can test it.

romeyn

romeyn

2014-08-27 15:59

reporter   ~0007437

BEAUTIFUL!!

Thank You!!!

The next feature request we have is that event descriptions be included in what is printed in list view. But I'll see if there's already a ticket for that--add one if there isn't.

THANKS again!!

acloutier

acloutier

2014-08-27 17:03

viewer   ~0007440

:) You're welcome ! Thanks to you for your feedback

Issue History

Date Modified Username Field Change
2014-08-05 11:59 romeyn New Issue
2014-08-06 07:56 Christian Mack Note Added: 0007396
2014-08-06 09:07 romeyn Note Added: 0007399
2014-08-15 14:16 acloutier Note Added: 0007415
2014-08-15 15:01 romeyn Note Added: 0007416
2014-08-26 14:06 acloutier Note Added: 0007430
2014-08-26 14:07 acloutier Note Edited: 0007430 View Revisions
2014-08-27 09:27 acloutier Assigned To => acloutier
2014-08-27 09:27 acloutier Status new => assigned
2014-08-27 11:30 romeyn Note Added: 0007433
2014-08-27 15:59 romeyn Note Added: 0007437
2014-08-27 17:03 acloutier Note Added: 0007440
2014-08-27 17:04 acloutier Status assigned => resolved
2014-08-27 17:04 acloutier Fixed in Version => 2.2.8
2014-08-27 17:04 acloutier Resolution open => fixed